package dev.fyloz.colorrecipesexplorer.exception

import org.springframework.http.HttpStatus

class InvalidPositionsException(val errors: Set<InvalidPositionError>) : RestException(
    "invalid-positions",
    "Invalid positions",
    HttpStatus.BAD_REQUEST,
    "The positions are invalid",
    mapOf(
        "errors" to errors
    )
)

data class InvalidPositionError(val type: String, val details: String)