package dev.fyloz.colorrecipesexplorer.model

import dev.fyloz.colorrecipesexplorer.Constants
import javax.persistence.*

@Entity
@Table(name = "material")
data class Material(
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    override val id: Long,

    @Column(unique = true)
    val name: String,

    @Column(name = "inventory_quantity")
    val inventoryQuantity: Float,

    @Column(name = "mix_type")
    val isMixType: Boolean,

    @ManyToOne
    @JoinColumn(name = "material_type_id")
    val materialType: MaterialType?
) : ModelEntity {
    companion object {
        fun getSimdutFilePath(name: String) =
            "${Constants.FilePaths.SIMDUT}/$name.pdf"
    }
}