package dev.fyloz.colorrecipesexplorer.repository

import dev.fyloz.colorrecipesexplorer.model.MixMixType
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Modifying
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface MixMixTypeRepository : JpaRepository<MixMixType, Long> {
    @Query(
        nativeQuery = true, value = """
        SELECT * FROM mix_mix_type mmt WHERE mmt.mix_id = :mixId
    """
    )
    fun findAllByMixId(mixId: Long): List<MixMixType>

    @Modifying
    @Query(
        nativeQuery = true, value = """
            INSERT INTO mix_mix_type (id, mix_type_id, mix_id, quantity, position)
            VALUES (:id, :mixTypeId, :mixId, :quantity, :position)
        """
    )
    fun saveForMixId(id: Long?, mixTypeId: Long, mixId: Long, quantity: Float, position: Int)

    @Modifying
    @Query(
        nativeQuery = true, value = """
        DELETE FROM mix_mix_type mmt WHERE mmt.mix_id = :mixId 
    """
    )
    fun deleteAllByMixId(mixId: Long)
}