package dev.fyloz.colorrecipesexplorer.repository

import dev.fyloz.colorrecipesexplorer.model.touchupkit.TouchUpKit
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Modifying
import org.springframework.data.jpa.repository.Query
import java.time.LocalDate

interface TouchUpKitRepository : JpaRepository<TouchUpKit, Long> {
    /** Updates the [completionDate] of the touch up kit with the given [id]. */
    @Modifying
    @Query("UPDATE TouchUpKit t SET t.completionDate = :completionDate WHERE t.id = :id")
    fun updateCompletionDateById(id: Long, completionDate: LocalDate)
}
